Attribute VB_Name = "rigolb"
Option Explicit

'///////////////////////////////////////////////////////////////
'// RigolRawToByte
'//

'///////////////////////////////////////////////////////////////
'// rigol index, up to 8 channel supported (MATH_IDX = 9)

Public Const CHA1_IDX As Long = 1
Public Const CHA2_IDX As Long = 2
Public Const MATH_IDX As Long = 9
Public Const TIME_IDX As Long = 10
Public Const TRIG_IDX As Long = 11
Public Const UTIL_IDX As Long = 20

Public Const CHA1_STR As String = "CHAN1"
Public Const CHA2_STR As String = "CHAN2"

Public Const NORM_RIG_MEM As Long = 600
Public Const STABLE_RIG_DELAY As Long = 300 'unit ms

'convert rigol values to byte value
Public Sub RigolRawToByte(dso As Rigol, rigData() As Byte, datLength As Long)
    Dim i As Long

    For i = 0 To datLength - 1
        rigData(i) = CorrectByte(dso.RealValue(rigData(i), 0, 255))
    Next i
End Sub

'set to byte limit 0-255
Public Function CorrectByte(val As Double) As Byte
    If val > 255 Then
        CorrectByte = 255
    ElseIf val < 0 Then
        CorrectByte = 0
    Else
        CorrectByte = CByte(val)
    End If
End Function
